Bug 7670 - make required fields red in additem.pl
Summary: make required fields red in additem.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-08 00:02 UTC by Nicole C. Engard
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7670 - make required fields red (2.66 KB, patch)
2012-03-08 13:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7670 - make required fields red (2.74 KB, patch)
2012-03-08 15:34 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7670 - make required fields red (4.44 KB, patch)
2012-03-12 20:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7670 - make required fields red (4.51 KB, patch)
2012-03-12 20:23 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7670 - make required fields red (4.53 KB, patch)
2012-03-17 01:51 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-03-08 00:02:11 UTC
When you edit a framework to make subfields in the 952 required these feels show in the edit item screen with little black stars.  Can we make those red like they are on the bib cataloging screen?
Comment 1 Owen Leonard 2012-03-08 13:56:52 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2012-03-08 15:34:47 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2012-03-09 20:03:51 UTC
Template and CSS only change that increases readability and customizability.  Marking as Passed QA.
Comment 4 Paul Poulain 2012-03-12 17:18:55 UTC
QA comment:

If you try to save without entering a mandatory field, the highlighting is made "light red on dark red", that's quite hard to read.

If I compare the result with the addbiblio.pl file, it's not consistent (in addbiblio.pl, an empty mandatory field become yellow, the description is not updated)

Could you do improve your patch a little bit more ?

(not marking failed QA, if you say "no", i'll push it as it is, and yell that you're the one to blame if someone complain :D :D )
Comment 5 Owen Leonard 2012-03-12 20:04:01 UTC Comment hidden (obsolete)
Comment 6 Liz Rea 2012-03-12 20:23:31 UTC
Created attachment 8191 [details] [review]
Bug 7670 - make required fields red

Adding "required" style and "Required" note to additem fields,
consistent with the way required fields are displayed
on the add patron form.

This patch also corrects an error in the client-side validation
script which misidentified which fields were required. Leaving
a required field empty should result in an alert and the missing
field being highlighted in yellow.

To test, open the add item form on a record which uses
a framework in which one or more item fields are required.
Required fields should be labeled in red and appended with a
"Required" note.

Submit the form while some required fields are empty. You should
see a javascript alert. The empty mandatory fields should have
a yellow background.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Works - passes tests.
Comment 7 Ian Walls 2012-03-14 15:19:33 UTC
Still just a template/CSS change, but now with better highlighting.  Moving back to Passed QA.
Comment 8 Paul Poulain 2012-03-16 11:55:05 UTC
(In reply to comment #5)
> This patch also corrects an error in the client-side validation
> script which misidentified which fields were required. Leaving
> a required field empty should result in an alert and the missing
> field being highlighted in yellow.

well done owen ! I had noticed the problem, but thought it was due to some specific setup I had.
Comment 9 Robin Sheat 2012-03-17 01:51:47 UTC
Created attachment 8247 [details] [review]
Bug 7670 - make required fields red

Adding "required" style and "Required" note to additem fields,
consistent with the way required fields are displayed
on the add patron form.

This patch also corrects an error in the client-side validation
script which misidentified which fields were required. Leaving
a required field empty should result in an alert and the missing
field being highlighted in yellow.

To test, open the add item form on a record which uses
a framework in which one or more item fields are required.
Required fields should be labeled in red and appended with a
"Required" note.

Submit the form while some required fields are empty. You should
see a javascript alert. The empty mandatory fields should have
a yellow background.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Works - passes tests.

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 10 Robin Sheat 2012-03-17 01:52:40 UTC
Whoops, git-bz accident there, ignore me.
Comment 11 Jared Camins-Esakov 2012-05-23 23:58:52 UTC
This patch will be included in 3.6.5.